### Hierarchy

- SDK

## Index

### Properties

- REST_PORT
- SERVER_NODE
- SOCKET_PORT

### Methods

- adderssFromPublicKey
- claimOng
- createAccount
- createIdentity
- createSharedWallet
- createWallet
- decryptEncryptedPrivateKey
- decryptMnemonicEnc
- exportAccountToKeystring
- exportAccountToQrcode
- exportIdentityToKeystring
- exportIdentityToQrcode
- exportWifPrivakeKey
- getBalance
- getClaim
- getDecryptError
- getUnclaimedOng
- importAccountMnemonic
- importAccountWithKeystore
- importAccountWithPrivateKey
- importAccountWithWallet
- importAccountWithWif
- importIdentityAndCreateWallet
- importIdentityWithWallet
- makeMultiSignTransaction
- querySmartCodeEventByTxhash
- setRestPort
- setServerNode
- setSocketPort
- signData
- signMultiAddrTransaction
- signSelfClaim
- transferAssets
- transformPassword

## Properties

### Static REST_PORT

REST_PORT: string = HTTP_REST_PORT

- Defined in sdk/index.ts:59

### Static SERVER_NODE

SERVER_NODE: string = TEST_NODE

- Defined in sdk/index.ts:58

### Static SOCKET_PORT

SOCKET_PORT: string = HTTP_WS_PORT

- Defined in sdk/index.ts:60

## Methods

### Static adderssFromPublicKey

- adderssFromPublicKey(publicKey: string, callback: string): string

- - Defined in sdk/index.ts:1121

  #### Parameters

  - ##### publicKey: string

  - ##### callback: string

  #### Returns string

### Static claimOng

- claimOng(address: string, value: string, encryptedPrivateKey: string, password: string, salt: string, gasPrice: string, gasLimit: string, payer: string, callback: string): object

- - Defined in sdk/index.ts:747

  #### Parameters

  - ##### address: string

  - ##### value: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### salt: string

  - ##### gasPrice: string

  - ##### gasLimit: string

  - ##### payer: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static createAccount

- createAccount(label: string, password: string, callback?: undefined | string): object

- - Defined in sdk/index.ts:352

  #### Parameters

  - ##### label: string

  - ##### password: string

  - ##### Optional callback: undefined | string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### mnemonicEnc: string

  - ##### result: string

### Static createIdentity

- createIdentity(label: string, password: string, payer: string, gasPrice: string, gasLimit: string, callback?: undefined | string): Promise<any>

- - Defined in sdk/index.ts:297

  #### Parameters

  - ##### label: string

  - ##### password: string

  - ##### payer: string

  - ##### gasPrice: string

  - ##### gasLimit: string

  - ##### Optional callback: undefined | string

  #### Returns Promise<any>

### Static createSharedWallet

- createSharedWallet(requiredSignatureNum: string, allRelatedPks: string, callback: string): string

- - Defined in sdk/index.ts:1096

  #### Parameters

  - ##### requiredSignatureNum: string

  - ##### allRelatedPks: string

  - ##### callback: string

  #### Returns string

### Static createWallet

- createWallet(name: string, password: string, payer: string, gasPrice: string, gasLimit: string, callback?: undefined | string): Promise<any>

- - Defined in sdk/index.ts:108

  #### Parameters

  - ##### name: string

  - ##### password: string

  - ##### payer: string

  - ##### gasPrice: string

  - ##### gasLimit: string

  - ##### Optional callback: undefined | string

  #### Returns Promise<any>

### Static decryptEncryptedPrivateKey

- decryptEncryptedPrivateKey(encryptedPrivateKey: string, password: string, address: string, salt: string, callback?: undefined | string): object

- - Defined in sdk/index.ts:486

  #### Parameters

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### Optional callback: undefined | string

  #### Returns object

  - ##### error: number

  - ##### result: string

### Static decryptMnemonicEnc

- decryptMnemonicEnc(mnemonicEnc: string, address: string, salt: string, password: string, callback: string): object

- - Defined in sdk/index.ts:379

  #### Parameters

  - ##### mnemonicEnc: string

  - ##### address: string

  - ##### salt: string

  - ##### password: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static exportAccountToKeystring

- exportAccountToKeystring(accountDataStr: string, callback: string): string

- - Defined in sdk/index.ts:868

  #### Parameters

  - ##### accountDataStr: string

  - ##### callback: string

  #### Returns string

### Static exportAccountToQrcode

- exportAccountToQrcode(accountDataStr: string, callback: string): object

- - Defined in sdk/index.ts:842

  #### Parameters

  - ##### accountDataStr: string

  - ##### callback: string

  #### Returns object

  - ##### address: string

  - ##### algorithm: string

  - ##### key: string

  - ##### label: string

  - ##### salt: string

  - ##### type: string

  - ##### parameters: object

    - ##### curve: string

  - ##### scrypt: object

    - ##### dkLen: number

    - ##### n: number

    - ##### p: number

    - ##### r: number

### Static exportIdentityToKeystring

- exportIdentityToKeystring(identityDataStr: string, callback: string): string

- - Defined in sdk/index.ts:829

  #### Parameters

  - ##### identityDataStr: string

  - ##### callback: string

  #### Returns string

### Static exportIdentityToQrcode

- exportIdentityToQrcode(identityDataStr: string, callback: string): object

- - Defined in sdk/index.ts:803

  #### Parameters

  - ##### identityDataStr: string

  - ##### callback: string

  #### Returns object

  - ##### address: string

  - ##### algorithm: string

  - ##### key: string

  - ##### label: string

  - ##### salt: string

  - ##### type: string

  - ##### parameters: object

    - ##### curve: string

  - ##### scrypt: object

    - ##### dkLen: number

    - ##### n: number

    - ##### p: number

    - ##### r: number

### Static exportWifPrivakeKey

- exportWifPrivakeKey(encryptedKey: string, password: string, address: string, salt: string, callback: string): object

- - Defined in sdk/index.ts:916

  #### Parameters

  - ##### encryptedKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static getBalance

- getBalance(address: string, callback?: undefined | string): Promise<object | object>

- - Defined in sdk/index.ts:646

  #### Parameters

  - ##### address: string

  - ##### Optional callback: undefined | string

  #### Returns Promise<object | object>

### Static getClaim

- getClaim(claimId: string, context: string, issuer: string, subject: string, encryptedPrivateKey: string, password: string, address: string, salt: string, payer: string, gasPrice: string, gasLimit: string, callback?: undefined | string): object | Promise<void | object>

- - Defined in sdk/index.ts:519

  #### Parameters

  - ##### claimId: string

  - ##### context: string

  - ##### issuer: string

  - ##### subject: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### payer: string

  - ##### gasPrice: string

  - ##### gasLimit: string

  - ##### Optional callback: undefined | string

  #### Returns object | Promise<void | object>

### Static getDecryptError

- getDecryptError(err: any): object

- - Defined in sdk/index.ts:94

  #### Parameters

  - ##### err: any

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static getUnclaimedOng

- getUnclaimedOng(address: string, callback: string): Promise<object | object>

- - Defined in sdk/index.ts:1050

  #### Parameters

  - ##### address: string

  - ##### callback: string

  #### Returns Promise<object | object>

### Static importAccountMnemonic

- importAccountMnemonic(label: string, mnemonic: string, password: string, callback: string): object

- - Defined in sdk/index.ts:881

  #### Parameters

  - ##### label: string

  - ##### mnemonic: string

  - ##### password: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static importAccountWithKeystore

- importAccountWithKeystore(keystore: string, password: string, callback: string): object

- - Defined in sdk/index.ts:996

  Actually import with Qrcode

  #### Parameters

  - ##### keystore: string

  - ##### password: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static importAccountWithPrivateKey

- importAccountWithPrivateKey(label: string, privateKey: string, password: string, callback: string): object

- - Defined in sdk/index.ts:969

  #### Parameters

  - ##### label: string

  - ##### privateKey: string

  - ##### password: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static importAccountWithWallet

- importAccountWithWallet(label: string, encryptedPrivateKey: string, address: string, salt: string, password: string, callback?: undefined | string): object

- - Defined in sdk/index.ts:396

  #### Parameters

  - ##### label: string

  - ##### encryptedPrivateKey: string

  - ##### address: string

  - ##### salt: string

  - ##### password: string

  - ##### Optional callback: undefined | string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static importAccountWithWif

- importAccountWithWif(label: string, wif: string, password: string, callback: string): object

- - Defined in sdk/index.ts:944

  #### Parameters

  - ##### label: string

  - ##### wif: string

  - ##### password: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static importIdentityAndCreateWallet

- importIdentityAndCreateWallet(label: string, encryptedPrivateKey: string, password: string, address: string, salt: string, callback?: undefined | string): Promise<any>

- - Defined in sdk/index.ts:232

  #### Parameters

  - ##### label: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### Optional callback: undefined | string

  #### Returns Promise<any>

### Static importIdentityWithWallet

- importIdentityWithWallet(label: string, encryptedPrivateKey: string, password: string, address: string, salt: string, callback?: undefined | string): any

- - Defined in sdk/index.ts:171

  #### Parameters

  - ##### label: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### Optional callback: undefined | string

  #### Returns any

### Static makeMultiSignTransaction

- makeMultiSignTransaction(asset: string, from: string, to: string, amount: string, gasPrice: string, gasLimit: string, callback: string): object | object

- - Defined in sdk/index.ts:1134

  #### Parameters

  - ##### asset: string

  - ##### from: string

  - ##### to: string

  - ##### amount: string

  - ##### gasPrice: string

  - ##### gasLimit: string

  - ##### callback: string

  #### Returns object | object

### Static querySmartCodeEventByTxhash

- querySmartCodeEventByTxhash(txHash: string, callback: string): Promise<object | object>

- - Defined in sdk/index.ts:1073

  #### Parameters

  - ##### txHash: string

  - ##### callback: string

  #### Returns Promise<object | object>

### Static setRestPort

- setRestPort(port: string): void

- - Defined in sdk/index.ts:77

  #### Parameters

  - ##### port: string

  #### Returns void

### Static setServerNode

- setServerNode(node: string): void

- - Defined in sdk/index.ts:62

  #### Parameters

  - ##### node: string

  #### Returns void

### Static setSocketPort

- setSocketPort(port: string): void

- - Defined in sdk/index.ts:86

  #### Parameters

  - ##### port: string

  #### Returns void

### Static signData

- signData(content: string, encryptedPrivateKey: string, password: string, address: string, salt: string, callback?: undefined | string): PgpSignature | any

- - Defined in sdk/index.ts:610

  #### Parameters

  - ##### content: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### Optional callback: undefined | string

  #### Returns PgpSignature | any

### Static signMultiAddrTransaction

- signMultiAddrTransaction(encryptedPrivateKey: string, address: string, salt: string, password: string, requiredSignatureNum: string, txDada: string, callback: string): Transaction | object

- - Defined in sdk/index.ts:1163

  #### Parameters

  - ##### encryptedPrivateKey: string

  - ##### address: string

  - ##### salt: string

  - ##### password: string

  - ##### requiredSignatureNum: string

  - ##### txDada: string

  - ##### callback: string

  #### Returns Transaction | object

### Static signSelfClaim

- signSelfClaim(context: string, claimData: string, ontid: string, encryptedPrivateKey: string, password: string, address: string, salt: string, callback?: undefined | string): object | object

- - Defined in sdk/index.ts:435

  #### Parameters

  - ##### context: string

  - ##### claimData: string

  - ##### ontid: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### address: string

  - ##### salt: string

  - ##### Optional callback: undefined | string

  #### Returns object | object

### Static transferAssets

- transferAssets(token: string, from: string, to: string, value: string, encryptedPrivateKey: string, password: string, salt: string, gasPrice: string, gasLimit: string, payer: string, callback: string): object

- - Defined in sdk/index.ts:686

  #### Parameters

  - ##### token: string

  - ##### from: string

  - ##### to: string

  - ##### value: string

  - ##### encryptedPrivateKey: string

  - ##### password: string

  - ##### salt: string

  - ##### gasPrice: string

  - ##### gasLimit: string

  - ##### payer: string

  - ##### callback: string

  #### Returns object

  - ##### error: ERROR_CODE

  - ##### result: string

### Static transformPassword

- transformPassword(password: string): string

- - Defined in sdk/index.ts:101

  #### Parameters

  - ##### password: string

  #### Returns string

Generated using TypeDoc